<?php include('header.php'); ?> <!--Using PHP include() to input  header file-->
    
    
<div class="form-container">
    <h1>Your Information Submission </h1>
    <!-- PHP code to handle form data -->
    <?php
    //An empty array for storing error messages 
    $errors = [];
    
    //Check for valid input of first name 
    if (!empty ($_POST['first_name'])) {
        $fname = ($_POST['first_name']);
    } else {
        $errors[] = "Input of your first name is required!";
    }
    
    //Check for valid input of last name 
    if (!empty ($_POST['last_name'])) {
        $lastname = ($_POST['last_name']);
    } else {
        $errors[] = "Input of your last name is required!";
    }
    
    //Check for valid email input 
    if (!empty($_POST['email'])) {
        $email = filter_var($_POST['email'], FILTER_VALIDATE_EMAIL);
        if (!$email) {
            $errors[] = "Input of your email is required!";
        }
    }else {
        $errors[] = "Email is required!";
    }
    
    //Check for valid gender input 
    if (!empty($_POST['gender'])){
        $gender = $_POST['gender'];
    } else {
        $errors[]= "Input of your gender is required!";
    }
    
    //validate country eventhough it is a dropdown list
    if (!empty($_POST['country'])) {
        $country = htmlspecialchars($_POST['country']);
    } else {
        $country = 'Unknown';
    }
    
    //sanitize the comments field
    if (!empty($_POST['comments'])){
        $comments = htmlspecialchars(trim($_POST['comments']));
    } else {
        $comments = 'No comments';
    }
    
    //Check if any interests are selected 
    if (isset($_POST['interests']) && is_array($_POST['interests'])) {
        $interests = $_POST['interests']; //Treated as an array
    } else {
        $interests = [];
    }
    
    
    //If there are no errors, displays all of the  user  submitted information
    
    if (empty($errors)) {
        echo "<div class='thank-you'>";
        echo "<p> Thank you, <strong> $fname $lastname</strong> for submitting  your information!</p>";
        echo "<p><strong> Email: </strong> $email</p>";
        echo "<p><strong> Gender: </strong> $gender</p>";
        echo "<p><strong> Country: </strong> $country</p>";
        echo "<p><strong> Comments: </strong> $comments</p>";
        
       if (!empty($interests)) {
           echo "<p><strong> Interests:</strong> " . implode(", ", $interests) . "</p>";
       } else {
           echo "<p><strong> Interests:</strong> None Selected</p>";
       }
   
   
   
       echo "</div>";
    
    } else {
        //if there are any validation errors, display them 
        echo "<div class='error'>";
        echo "<p> Please correct the following  errors: </p>";
        echo "<ul>";
        foreach($errors as $error){
            echo "<li>$error</li>";
        }
        echo "</ul>";
        echo "</div>";
        
    }
    
    


?>

</div>
<?php include('footer.php'); ?> <!--Using php include() to call in footer -->