<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name= "viewport" content="width=device-width, initial scale=1.0">
    <title>Registration Form</title>
    <style>
        
        body {
            background-color:lightblue;
            display: flex;
            justify-content: center;
            align-items: center;
            height: 100vh;
            margin: 0;
        }
        
        .form-container {
            background-color: white;
            border: 5px solid #0073e6;
            border-radius: 15px;
            padding: 30px;
            width: 500px;
            box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
        }
        
        .form-container h1 {
            text-align: center;
            color: #0073e6;
        }
        
        .form-group {
            margin-bottom: 15px;
        }
        
        label {
            font-weight: bold;
            color: black;
        }
        
        input[type="text"],select,textarea {
            width: 100%;
            padding: 10px;
            margin-top: 5px;
            border-radius: 5px;
            border: 1px solid #0073e6;
            box-sizing: border-box;
        }
        
        textarea {
            resize: vertical;
            height: 80px;
            
        }
        
        .radio-group, .checkbox-group {
            display: flex;
            justify-content: space-between;
        }
        
        input[type="radio"], input[type="checkbox"]{
            margin-right: 10px;
        }
        
        .submit-btn {
            background-color:#0073e6;
            color: white;
            padding: 10px 20px;
            border: none;
            border-radius: 5px;
            cursor: pointer;
            width: 100%;
            font-size: 16px;
        }
        
        .submit-btn:hover {
            background-color: #005bb5;
        }
        .form-group-date {
            display: flex;
            justify-content: space-between;
            padding-bottom: 20px;
        }
        .form-group-date select {
            flex: 1;
            margin-right: 10px;
        }
        .date-group-date select:last-child {
            margin-right: 0;
        }
        
    </style>
</head>
<body>
    <div class="form-container">
        <h1>Registration Form</h1>
        <form action="handle_form.php" method="POST">
            
            <!--Text input fields-->
            <div class = "form-group">
                <label for = "first_name">First Name:</label>
                <input type = "text" id="first_name" name="first_name" >
            </div>
            
            <div class = "form-group">
                <label for = "last_name">Last Name:</label>
                <input type = "text" id="last_name" name="last_name" >
            </div>
            
            <div class = "form-group">
                <label for ="email">Email:</label>
                <input type = "text" id="email" name="email" >
            </div>
            
            <!--Drop Down List-->
            <div class= "form-group">
                <label for= "country">Country:</label>
                <select id = "country" name="country">
                    <option value="USA">USA</option>
                    <option value="Canada">Canada</option>
                    <option value="UK">United Kingdom</option>
                    <option value="Australia">Australia</option>
                </select>
            </div>
            
            <!--Radio Buttons -->
            <div class="form-group">
                <label>Gender:</label>
                <div class="radio-group">
                    <label><input type="radio" name="gender" value="male">Male</label>
                    <label><input type="radio" name="gender" value="female" >Female</label>
                    <label><input type="radio" name="gender" value="other" >Other</label>
                </div>
            </div>
            
            <!--Checkboxes-->
            <div class= "form-group">
                <label>Interests:</label>
                <div class="checkbox-group">
                    <label><input type="checkbox" name="interests" value="Packers">Packers</label>
                    <label><input type="checkbox" name="interests" value="bears">Bears</label>
                    <label><input type="checkbox" name="interests" value="vikings">Vikings</label>
                </div>
            </div>
            
            <!--Comments box -->
            <div class="form-group">
                <label for="comments">Comments:</label>
                <textarea id="comments" name="comments" placeholder="Enter any comments you may have here!"></textarea>
            </div>
            
            <!-- Date Dopdown Menu --> 
            <div class="form-group-date">
                <div>
                    <label for="month">Birth  Month:</label>
                    <select id="month" name="month">
                    
                        <?php
                        // Creating the PHP array for months
                    
                        $months = [
                            "01" => "January" , "02" => "February" , "03"=> "March",
                            "04" => "April" , "05" => "May" , "06" => "June" , 
                            "07" => "July" , "08" => "August","09" => "September",
                            "10" => "October","11" => "November" ,"12" => "December"
                        ];
                        foreach ($months  as $value => $name) {
                            echo "<option value='$value'> $name</option>";
                        }
                        ?>
                </select>
            </div>
            
            
            <!-- Date of Birth -->
            <div>
                <label for="day">Birth Day:</label>
                <select id="day" name="day">
                    <?php
                    //PHP array for days 
                    for ($day = 1; $day <= 31; $day++){
                        echo "<option value='$day'>$day</option>";
                    }
                    ?>
                </select>
            </div>
            
            <!-- Birth Year HTML --> 
            <div>
                <label for="year">Birth Year:</label>
                <select id="year" name="year">
                    <?php
                    //PHP array  for years
                    $currentYear = date("Y");
                    for ($year= $currentYear; $year >= 1900; $year--) {
                        echo "<option value='$year'>$year</option>";
                    }
                    ?>
                </select>
            </div>
        </div>
            
            
            
            
            <!-- Submit Button -->
            <button type="submit" class="submit-btn">Register</button>
        </form>
    </div>

</body>
</html>
